Skip to content

telephony

← All modules

1 endpoint.

POST /api/v1/telephony/dial

Dial

Ring ctx.user's extension, then bridge into body.number on pickup.

Request body

json
{
  "properties": {
    "number": {
      "type": "string",
      "title": "Number"
    }
  },
  "type": "object",
  "required": [
    "number"
  ],
  "title": "DialIn"
}

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Dial Api V1 Telephony Dial Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

Lubb ERP Documentation